# Contribute #

Aurora Files is an open source cloud storage platform. All source code is licensed under [AGPL v3](https://www.gnu.org/licenses/agpl-3.0.html).

## How to join: ##

If you wish to help us improve the codebase, add some features or provide a translation to your native language, make sure you have the most recent code downloaded [as described here](https://github.com/afterlogic/aurora-files#installation-instructions) as the process differs from installing the latest stable version. 

In Aurora Files [Developer's Guide](https://afterlogic.com/docs/aurora-files/developers-guide) you can find a number of tutorials for extending the product functionality and integrating it with other applications, as well as documentation for [Web API](https://afterlogic.com/aurora-files-webapi/) and [PHP API](https://afterlogic.com/aurora-files-api/).

Instructions on updating the product translations can be found here: [Improving and adding translations](https://afterlogic.com/docs/aurora-files/frequently-asked-questions/improving-and-adding-translations)

Upon making changes to Aurora Files code, you can send us a Pull Request. Please bear in mind that the product has a modular structure, so you'll need to send a Pull Request in each repository where you made any changes.

Also, you can create a module for our product, and you might wish to use one of the existing modules as a ground. You can upload it to your own repository of course. And if you believe other users of Aurora Files could benefit from such a module, please [let us know](https://afterlogic.com/contact) about it!

- [Github repository](https://github.com/afterlogic/aurora-files)
- [Issue tracker](https://github.com/afterlogic/aurora-files/issues)
